var search_data = {"index":{"searchIndex":["myanimelistclient","searchentry","searchresponse","userresponse","==()","[]()","anime?()","each()","empty?()","error?()","error?()","finished?()","length()","manga?()","new()","new()","new()","new()","ok?()","ok?()","ongoing?()","search()","search_anime()","search_manga()","size()","to_h()","upcoming?()","verify_credentials()"],"longSearchIndex":["myanimelistclient","myanimelistclient::searchentry","myanimelistclient::searchresponse","myanimelistclient::userresponse","myanimelistclient::searchentry#==()","myanimelistclient::searchresponse#[]()","myanimelistclient::searchentry#anime?()","myanimelistclient::searchresponse#each()","myanimelistclient::searchresponse#empty?()","myanimelistclient::searchresponse#error?()","myanimelistclient::userresponse#error?()","myanimelistclient::searchentry#finished?()","myanimelistclient::searchresponse#length()","myanimelistclient::searchentry#manga?()","myanimelistclient::new()","myanimelistclient::searchentry::new()","myanimelistclient::searchresponse::new()","myanimelistclient::userresponse::new()","myanimelistclient::searchresponse#ok?()","myanimelistclient::userresponse#ok?()","myanimelistclient::searchentry#ongoing?()","myanimelistclient#search()","myanimelistclient#search_anime()","myanimelistclient#search_manga()","myanimelistclient::searchresponse#size()","myanimelistclient::searchentry#to_h()","myanimelistclient::searchentry#upcoming?()","myanimelistclient#verify_credentials()"],"info":[["MyanimelistClient","","MyanimelistClient.html","","<p>This is the main class. It represents a client that can consume the {myanimelist.net/modules.php?go=api …\n"],["MyanimelistClient::SearchEntry","","MyanimelistClient/SearchEntry.html","","<p>This class is used to reprensent an entry within a {SearchResponse}. It can describe either an anime …\n"],["MyanimelistClient::SearchResponse","","MyanimelistClient/SearchResponse.html","","<p>This class represents a response to a search request. It is returned by {#search_anime} and {#search_manga}. …\n"],["MyanimelistClient::UserResponse","","MyanimelistClient/UserResponse.html","","<p>This class represents a User. It is returned by {#verify_credentials}.\n<p><code>UserResponse</code> is responsible for …\n"],["==","MyanimelistClient::SearchEntry","MyanimelistClient/SearchEntry.html#method-i-3D-3D","(other)","<p>Performs a loose equality based on the value of the attributes (see {ATTRIBUTES}).\n"],["[]","MyanimelistClient::SearchResponse","MyanimelistClient/SearchResponse.html#method-i-5B-5D","(index)","<p>Allows to browse the entries like with an array. @param [Fixnum] index  The index of the desired entry. …\n"],["anime?","MyanimelistClient::SearchEntry","MyanimelistClient/SearchEntry.html#method-i-anime-3F","()","<p>Returns <code>true</code> when the entry describes an anime.\n"],["each","MyanimelistClient::SearchResponse","MyanimelistClient/SearchResponse.html#method-i-each","(&block)","<p>Similar to <code>Array</code>&#39;s <code>#each</code>. @return [self, Enumerator]\n"],["empty?","MyanimelistClient::SearchResponse","MyanimelistClient/SearchResponse.html#method-i-empty-3F","()","<p>Is it empty?\n"],["error?","MyanimelistClient::SearchResponse","MyanimelistClient/SearchResponse.html#method-i-error-3F","()","<p>Returns <code>true</code> if an error occured.\n"],["error?","MyanimelistClient::UserResponse","MyanimelistClient/UserResponse.html#method-i-error-3F","()","<p>Returns <code>true</code> if an error occured.\n"],["finished?","MyanimelistClient::SearchEntry","MyanimelistClient/SearchEntry.html#method-i-finished-3F","()","<p>Returns <code>true</code> when the anime or manga is finished.\n"],["length","MyanimelistClient::SearchResponse","MyanimelistClient/SearchResponse.html#method-i-length","()","<p>Returns the number of entries returned by the search request. @return [Fixnum] The number of entries …\n"],["manga?","MyanimelistClient::SearchEntry","MyanimelistClient/SearchEntry.html#method-i-manga-3F","()","<p>Returns <code>true</code> when the entry describes a manga.\n"],["new","MyanimelistClient","MyanimelistClient.html#method-c-new","(username, password)","<p>@param [String] username  A valid myanimelist username @param [String] password  A valid myanimelist …\n"],["new","MyanimelistClient::SearchEntry","MyanimelistClient/SearchEntry.html#method-c-new","(options={})","<p>@param [Hash] options  A hash used to hydrate the object.\n"],["new","MyanimelistClient::SearchResponse","MyanimelistClient/SearchResponse.html#method-c-new","(raw_xml, error=false)","<p>@param [String, nil] raw_xml The raw XML response from the API or an error message. @param [String, nil] …\n"],["new","MyanimelistClient::UserResponse","MyanimelistClient/UserResponse.html#method-c-new","(raw_xml)","<p>@param [String, nil] raw_xml  The raw response from the API or an error message (or even <code>nil</code>).\n"],["ok?","MyanimelistClient::SearchResponse","MyanimelistClient/SearchResponse.html#method-i-ok-3F","()","<p>Returns <code>true</code> if no error occured.\n"],["ok?","MyanimelistClient::UserResponse","MyanimelistClient/UserResponse.html#method-i-ok-3F","()","<p>Returns <code>true</code> if no error occured.\n"],["ongoing?","MyanimelistClient::SearchEntry","MyanimelistClient/SearchEntry.html#method-i-ongoing-3F","()","<p>Returns <code>true</code> when the anime is currently airing / when the manga is currently publishing.\n"],["search","MyanimelistClient","MyanimelistClient.html#method-i-search","(type, query)","<p>Search a manga or an anime depending on the provided type @param [String] type  The search type (+&#39;anime&#39;+ …\n"],["search_anime","MyanimelistClient","MyanimelistClient.html#method-i-search_anime","(query)","<p>Allows to search anime titles. @see myanimelist.net/modules.php?go=api#animemangasearch The MyAnimeList&#39;s …\n"],["search_manga","MyanimelistClient","MyanimelistClient.html#method-i-search_manga","(query)","<p>Allows to search manga titles. @see myanimelist.net/modules.php?go=api#animemangasearch The MyAnimeList&#39;s …\n"],["size","MyanimelistClient::SearchResponse","MyanimelistClient/SearchResponse.html#method-i-size","()",""],["to_h","MyanimelistClient::SearchEntry","MyanimelistClient/SearchEntry.html#method-i-to_h","()","<p>Creates a hash representing the entry. @return [Hash]\n"],["upcoming?","MyanimelistClient::SearchEntry","MyanimelistClient/SearchEntry.html#method-i-upcoming-3F","()","<p>Returns <code>true</code> when the anime is not yet aired / when the manga is not yet published.\n"],["verify_credentials","MyanimelistClient","MyanimelistClient.html#method-i-verify_credentials","()","<p>Allows to check username/password. @see myanimelist.net/modules.php?go=api#verifycred The MyAnimeList&#39;s …\n"]]}}